Subject: [Curdle] Question about EdDSA and IKEv2

From: Yoav Nir <[email-masked]>
Date: Mon, 4 Jul 2016 16:08:05 +0300

Hi.

I have a question for this working group, but first a short introduction.

RFC 7427 describes how to introduce new digital signature algorithms into IKEv2. The way it’s done is that the AUTH payload concatenates a DER-encoded ASN.1 AlgorithmIdentifier object that represents the signature algorithm and the signature itself.

As examples, if we want to use sha256WithRSAEncryption, we encode the OID 1.2.840.113549.1.1.11; If we want to encode ecdsa-with-sha256 we use 1.2.840.10045.4.3.2, etc.

The question is, what do we use for EdDSA?  

Is it the 1.3.101.110 from draft-ietf-curdle-pkix-00?

Is it 1.3.101.100 with parameter 1 from the same draft?

I think it’s the former because the latter is for public key, not signature.  Am I understanding this correctly?

Thanks

Yoav